Bug 1222799 - (Horde_Stringprep) Review Request: php-horde-Horde-Stringprep - Preparation of Internationalized Strings ("stringprep")
Review Request: php-horde-Horde-Stringprep - Preparation of Internationalized...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: znerol/php-stringprep
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-19 03:56 EDT by Remi Collet
Modified: 2015-07-14 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-horde-Horde-Stringprep-1.0.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-03 14:37:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.txt (9.24 KB, text/plain)
2015-06-20 23:31 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.09 KB, text/plain)
2015-06-20 23:33 EDT, Shawn Iwinski
no flags Details

  None (edit)
Comment 2 Remi Collet 2015-06-18 09:02:56 EDT
@Shawn, would you have a few minutes to review this one which is now required to update the horde Stack ?
Comment 3 Shawn Iwinski 2015-06-20 23:31:54 EDT
Created attachment 1041334 [details]
phpcompatinfo.txt

phpCompatInfo version 4.2.0 DB built May 22 2015 19:29:18 CEST
Comment 4 Shawn Iwinski 2015-06-20 23:33:00 EDT
Created attachment 1041335 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1222799
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2015-06-20 23:36:53 EDT
Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL5 bits after initial import.



[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.

     Patch is correct, but can't you just use the indlude path for the require?:
     require_once('Znerol/Component/Stringprep/autoload.php');
Comment 6 Remi Collet 2015-06-21 01:09:58 EDT
(In reply to Shawn Iwinski from comment #5)
> As usual, remove EPEL5 bits after initial import.

Yes, of course

> [x]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.
> 
>      Patch is correct, but can't you just use the indlude path for the
> require?:
>      require_once('Znerol/Component/Stringprep/autoload.php');

I prefer to keep full path to avoid issue when include_path is not correct (which is the case when using PHP from RHSCL).
Comment 7 Shawn Iwinski 2015-06-21 12:03:56 EDT
(In reply to Remi Collet from comment #6)
> > [x]: Patches link to upstream bugs/comments/lists or are otherwise
> >      justified.
> > 
> >      Patch is correct, but can't you just use the indlude path for the
> > require?:
> >      require_once('Znerol/Component/Stringprep/autoload.php');
> 
> I prefer to keep full path to avoid issue when include_path is not correct
> (which is the case when using PHP from RHSCL).

I did not know about the issue with the include_path in RHSCL.  Thanks!




Will you post the quick fix for the following blocking issue?:

Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
Comment 8 Remi Collet 2015-06-21 12:38:39 EDT
> Will you post the quick fix for the following blocking issue?:

Not a so "quick" fix, even a nigthmare ;)

See: https://github.com/remicollet/remirepo/commit/9d07ff1e99b3355d7abd048ae22763a6118222a3

Perhaps I should simply have the COPYING file twice, one in pear location, per PHP Guildelines, one in %_licensedir, php License Guidelines.

Spec: https://raw.githubusercontent.com/remicollet/remirepo/9d07ff1e99b3355d7abd048ae22763a6118222a3/php/horde/php-horde-Horde-Stringprep/php-horde-Horde-Stringprep.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Stringprep-1.0.2-2.remi.src.rpm
Comment 9 Shawn Iwinski 2015-06-21 12:54:30 EDT
No blockers.



===== APPROVED =====
Comment 10 Remi Collet 2015-06-21 13:17:32 EDT
Thanks a lot!

New Package SCM Request
=======================
Package Name: php-horde-Horde-Stringprep
Short Description: Preparation of Internationalized Strings ("stringprep")
Upstream URL: http://www.horde.org/
Owners: remi
Branches: f21 f22 el6 epel7
InitialCC:
Comment 11 Gwyn Ciesla 2015-06-22 10:01:45 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2015-06-22 12:04:28 EDT
php-horde-Horde-Stringprep-1.0.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-horde-Horde-Stringprep-1.0.2-2.fc21
Comment 13 Fedora Update System 2015-06-22 12:04:34 EDT
php-horde-Horde-Stringprep-1.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Stringprep-1.0.2-2.el6
Comment 14 Fedora Update System 2015-06-22 12:04:40 EDT
php-horde-Horde-Stringprep-1.0.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-horde-Horde-Stringprep-1.0.2-2.fc22
Comment 15 Fedora Update System 2015-06-22 12:04:47 EDT
php-horde-Horde-Stringprep-1.0.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-horde-Horde-Stringprep-1.0.2-2.el7
Comment 16 Fedora Update System 2015-06-24 12:03:09 EDT
php-horde-Horde-Stringprep-1.0.2-2.fc21 has been pushed to the Fedora 21 testing repository.
Comment 17 Fedora Update System 2015-07-03 14:37:49 EDT
php-horde-Horde-Stringprep-1.0.2-2.fc21 has been pushed to the Fedora 21 stable repository.
Comment 18 Fedora Update System 2015-07-03 14:38:17 EDT
php-horde-Horde-Stringprep-1.0.2-2.fc22 has been pushed to the Fedora 22 stable repository.
Comment 19 Fedora Update System 2015-07-14 12:44:07 EDT
php-horde-Horde-Stringprep-1.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Fedora Update System 2015-07-14 12:48:40 EDT
php-horde-Horde-Stringprep-1.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.